package com.zhyc.module.sale.mapper;

import java.util.List;
import com.zhyc.module.sale.domain.SxCustomer;

/**
 * 客户管理Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-18
 */
public interface SxCustomerMapper 
{
    /**
     * 查询客户管理
     * 
     * @param id 客户管理主键
     * @return 客户管理
     */
    public SxCustomer selectSxCustomerById(Long id);

    /**
     * 查询客户管理列表
     * 
     * @param sxCustomer 客户管理
     * @return 客户管理集合
     */
    public List<SxCustomer> selectSxCustomerList(SxCustomer sxCustomer);

    /**
     * 新增客户管理
     * 
     * @param sxCustomer 客户管理
     * @return 结果
     */
    public int insertSxCustomer(SxCustomer sxCustomer);

    /**
     * 修改客户管理
     * 
     * @param sxCustomer 客户管理
     * @return 结果
     */
    public int updateSxCustomer(SxCustomer sxCustomer);

    /**
     * 删除客户管理
     * 
     * @param id 客户管理主键
     * @return 结果
     */
    public int deleteSxCustomerById(Long id);

    /**
     * 批量删除客户管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSxCustomerByIds(Long[] ids);
}

